#include "testlib.h"

int testID=1;

void writeTest (int a, int b, int c)
{
 FILE *st1;
 char fn[10];
 sprintf (fn,"%03d",testID++);
 st1=fopen (fn,"w");
 fprintf (st1,"%d\n%d\n%d\n",a,b,c);
 fclose (st1);
}

int main (int argc, char **argv)
 {
  int r,a,b,c;
  registerGen (argc,argv,1);
  writeTest (1,1,2);
  writeTest (3,4,5);
  writeTest (5,4,3);
  writeTest (12,5,13);
  writeTest (1000000000,1000000000,1000000000);
  while (testID<=42)
   {
    int r=rnd.next (0,2);
    if (r==0)
     {
      a=rnd.next (1,20000);
      b=rnd.next (1,a-1);
      writeTest (a*a-b*b,2*a*b,a*a+b*b);
     }
    else if (r==1)
     {
      a=rnd.next (1,500000000);
      b=rnd.next (1,500000000);
      writeTest (a,b,a+b);
     }
     else
     {
      writeTest (rnd.next (1,1000000000), rnd.next (1,1000000000), rnd.next (1,1000000000));
     }
   }
  writeTest(1, (int) 1e9, (int) 1e9);
  writeTest((int) 1e9, 1, (int) 1e9);
  writeTest(1 << 29, 1 << 29, 1 << 29);
  writeTest(1 << 28, 1 << 28, 1 << 29);
  writeTest(1 << 27, 1 << 27, 1 << 29);
  return 0;
 }

