import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.math.BigInteger;
import java.util.StringTokenizer;

public class B_sm {

    void solve() {
        int k = nextInt();
        int l = nextInt();
        int m = nextInt();
        for (int i = 1; i < 1000; i++) {
            if (BigInteger.valueOf(k).pow(i).add(BigInteger.valueOf(l).pow(i)).equals(BigInteger.valueOf(m).pow(i))) {
                out.println(i);
                return;
            }
        }
        out.println(-1);
    }


    BufferedReader br;
    StringTokenizer st;
    PrintWriter out;

    String next() {
        while (st == null || !st.hasMoreTokens()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (IOException e) {
                e.printStackTrace();
                System.exit(1);
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(next());
    }

    void run() {
        br = new BufferedReader(new InputStreamReader(System.in));
        out = new PrintWriter(System.out);
        solve();
        out.close();
    }

    public static void main(String[] args) {
        new B_sm().run();
    }
}
