// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int s = opt<int>(1);
	int n = opt<int>(2);
	vector<pii> cells;
	int cx, cy;
	while (true) {
		cx = rnd.next(-s, s);
		cy = rnd.next(-s, s);
		if (abs(cx) + abs(cy) < s - 1) {
			break;
		}
	}
	for (int i = 0; i < s; ++i) {
		cells.push_back({cx + i, cy + s - i});
		cells.push_back({cx + s - i, cy - i});
		cells.push_back({cx - i, cy - s + i});
		cells.push_back({cx - s + i, cy + i});
	}
	
	set<pii> have;
	for (int i = szof(cells); i < n; ++i) {
		int x = cx + rnd.next(-s, s);
		int y = cy + rnd.next(-s, s);
		if ((x || y) && abs(x - cx) + abs(y - cy) < s - 1 && !have.count({x, y})) {
			have.insert({x, y});
			cells.push_back({x, y});
		}
	}

	shuffle(cells.begin(), cells.end());

	cout << szof(cells) << "\n";
	for (auto p : cells) {
		cout << p.ff << " " << p.ss << "\n";
	}
	return 0;
}