#include "testlib.h"

#include <set>
#include <utility>

int main(int argc, char **argv)
{
    registerValidation(argc,argv);
    int n = inf.readInt(0, 1000, "n");
    inf.readEoln();
    std::set <std::pair <int, int>> blocks;
    for (int i = 0; i < n; ++ i) {
        int x = inf.readInt(-1000000000, 1000000000,"x");
        inf.readSpace();
        int y = inf.readInt(-1000000000, 1000000000,"y");
        inf.readEoln();
        ensure(x || y);
        blocks.insert({x, y});
    }
    ensure((int)blocks.size() == n);
    inf.readEof();
    return 0;
}
