#include <cmath>
#include <cstdio>
#include <cstring>
#include <algorithm>
#define ll long long
using namespace std;
struct node {
    ll l, r, id;
} ask[200005];
ll tmp, p, n, m, ans[200005], t[200005], q[200005], pos[200005], cnt[200005], sum[200005];
char s[200005];
inline bool cmp(node a, node b) {
    if (pos[a.l]^pos[b.l])
        return pos[a.l] < pos[b.l];
    else {
        if (pos[a.l] & 1)
            return a.r < b.r;
        else
            return a.r > b.r;
    }
}
void add(ll x) {
    tmp -= cnt[q[x]] * (cnt[q[x]] - 1) / 2;
    cnt[q[x]]++;
    tmp += cnt[q[x]] * (cnt[q[x]] - 1) / 2;
}
void del(ll x) {
    tmp -= cnt [ q [ x ] ]  *  ( cnt [ q [ x ] ]  -  1 )  /  2 ; 
    cnt [ q [ x ] ] -- ; 
    tmp += cnt [ q [ x ] ]  *  ( cnt [ q [ x ] ]  -  1 )  /  2 ; 
}
void solve1() {
    for (ll i = 1; i <= n; i++) {
        ll q = ((s[i] - '0') % p == 0);
        cnt[i] = cnt[i - 1] + q;
        sum[i] = sum[i - 1] + q * i;
    }

    for (ll i = 1, l, r; i <= m; i++) {
        scanf("%lld %lld", &l, &r);
        printf("%lld\n", sum[r] - sum[l - 1] - (l - 1) * (cnt[r] - cnt[l - 1]));
    }
}
void solve2() {
    ll bs = n / sqrt(m * 2 / 3);

    if (!bs)
        bs = sqrt(n);

    for (ll i = n, jz = 1; i; i--, jz = jz * 10 % p)
        t[i] = q[i] = ((s[i]^'0') * jz % p + q[i + 1]) % p;

    sort(t + 1, t + 1 + n + 1);
    ll len = unique(t + 1, t + 1 + n + 1) - t - 1;

    for (ll i = 1; i <= n + 1; i++)
        q[i] = lower_bound(t + 1, t + 1 + len, q[i]) - t, pos[i] = (i - 1) / bs + 1;

    for (ll i = 1; i <= m; i++) {
        scanf("%lld %lld", &ask[i].l, &ask[i].r);
        ask[i].r++;
        ask[i].id = i;
    }

    sort(ask + 1, ask + 1 + m, cmp);
    ll l = 1, r = 0;

    for (ll i = 1; i <= m; i++) {
        ll ql = ask[i].l, qr = ask[i].r;

        while (l < ql)
            del(l++);

        while (l > ql)
            add(--l);

        while (r < qr)
            add(++r);

        while (r > qr)
            del(r--);

        ans[ask[i].id] = tmp;
    }

    for (ll i = 1; i <= m; i++)
        printf("%lld\n", ans[i]);
}
int main() {
    scanf("%lld%s%lld", &p, s + 1, &m);
    n = strlen(s + 1);

    if (p == 2 || p == 5)
        solve1();
    else
        solve2();

    return 0;
}
