#include <stdio.h>
#include "testlib.h"

using namespace std;

vector <double> xs;

void init_data ()
{
 for (int i=0;i<360;i++)
  {
    xs.push_back((double)i);
    xs.push_back (i*10./9);
    xs.push_back (i*atan(1)/45.);
  }
}

int main (int argc, char **argv)
{
 registerValidation (argc,argv);
 init_data();
 int j,len=xs.size();
 int t=inf.readInt (1,20,"t");
 inf.readEoln();
 for (int i=0;i<t;i++)
  {
    double ang=inf.readStrictDouble (0,400,6,6,"ang_i");
    inf.readEoln();
    for (j=0;j<len;j++)
     if (fabs (ang-xs[j]) <= 0.0000005) break;
    if (j==len) quitf (_fail,"Error is too big for value %.6lf",ang);
  }
 inf.readEof();
 return 0;
}
