import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class D_sm {
    double EPS = 1e-6;

    void solve() {
        double a = nextDouble();
        double[] q = {1, 1. / Math.PI * 180, 1 / 100. * 90};
        int cnt = 0;

        for (int angle = 0; angle < 360; angle++) {
            for (int i = 0; i < q.length; i++) {
                if (Math.abs(a - angle / q[i]) < EPS) {
                    cnt++;
                }
            }
        }

        if (cnt != 1) {
            out.println(-1);
            return;
        }
        for (int angle = 0; angle < 360; angle++) {
            for (int i = 0; i < q.length; i++) {
                if (Math.abs(a - angle / q[i]) < EPS) {
                    out.println(angle + " " + (i + 1));
                }
            }
        }
    }


    BufferedReader br;
    StringTokenizer st;
    PrintWriter out;

    String next() {
        while (st == null || !st.hasMoreTokens()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (IOException e) {
                e.printStackTrace();
                System.exit(1);
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(next());
    }

    double nextDouble() {
        return Double.parseDouble(next());
    }

    void run() {
        br = new BufferedReader(new InputStreamReader(System.in));
        out = new PrintWriter(System.out);
        int t = nextInt();
        for (int i = 0; i < t; i++) {
            solve();
        }
        out.close();
    }

    public static void main(String[] args) {
        new D_sm().run();
    }
}
