import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.math.BigInteger;
import java.util.StringTokenizer;

public class F_sm {

    long calc(long x) {
        for (int i = 32; i >= 1; i--) {
            int nx = (int)Math.round(Math.pow(x, 1./i));
            if (BigInteger.valueOf(nx).pow(i).equals(BigInteger.valueOf(x))) {
                return nx;
            }
        }
        throw new AssertionError(x);
    }
    void solve() {
        int n = nextInt();
        long ans = 0;
        for (int i = 0; i < n; i++) {
            int x = nextInt();
            ans += calc(x);
        }
        out.println(ans);
    }


    BufferedReader br;
    StringTokenizer st;
    PrintWriter out;

    String next() {
        while (st == null || !st.hasMoreTokens()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (IOException e) {
                e.printStackTrace();
                System.exit(1);
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(next());
    }

    void run() {
        br = new BufferedReader(new InputStreamReader(System.in));
        out = new PrintWriter(System.out);
        solve();
        out.close();
    }

    public static void main(String[] args) {
        new F_sm().run();
    }
}
