import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Random;
import java.util.StringTokenizer;

public class H_sm {

    boolean[][] was;

    boolean add(int a, int b, int c) {
        if (a == b || a == c || b == c) {
            return false;
        }
        if (was[a][b] || was[a][c] || was[b][a] || was[b][c] || was[c][a] || was[c][b]) {
            return false;
        }
        was[a][b] = was[a][c] = was[b][a] = was[b][c] = was[c][a] = was[c][b] = true;
        return true;
    }

    void solve() {
        int n = nextInt();
        ArrayList<int[]> pre = new ArrayList<>();
        for (int i = 0; i < n; i++) {
            pre.add(new int[]{nextInt() - 1, nextInt() - 1, nextInt() - 1});
        }
        forit: for (int it = 0; it < 10000; it++) {
            was = new boolean[9][9];
            for (int[] q : pre) {
                if (!add(q[0], q[1], q[2])) {
                    out.println(-1);
                    return;
                }
            }
            ArrayList<String> ans = new ArrayList<>();
            ArrayList<int[]> all = new ArrayList<>();
            for (int a = 0; a < 9; a++) {
                for (int b = 0; b < 9; b++) {
                    for (int c = 0; c < 9; c++) {
                        all.add(new int[]{a, b, c});
                    }
                }
            }
            Collections.shuffle(all, new Random(it));
            for (int[] q : all) {
                int a = q[0];
                int b = q[1];
                int c = q[2];
                if (add(a, b, c)) {
                    ans.add((a + 1) + " " + (b + 1) + " " + (c + 1));
                }
            }
            System.err.println(ans);
            for (int i = 0; i < 9; i++) {
                for (int j = 0; j < 9; j++) {
                    if (i != j && !was[i][j]) {
                        continue  forit;
                    }
                }
            }
            out.println(ans.size());
            for (String s : ans) {
                out.println(s);
            }
            return;
        }
        out.println(-1);
        return;
    }


    BufferedReader br;
    StringTokenizer st;
    PrintWriter out;

    String next() {
        while (st == null || !st.hasMoreTokens()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (IOException e) {
                e.printStackTrace();
                System.exit(1);
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(next());
    }

    void run() {
        br = new BufferedReader(new InputStreamReader(System.in));
        out = new PrintWriter(System.out);
        solve();
        out.close();
    }

    public static void main(String[] args) {
        new H_sm().run();
    }
}
