// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;

const int MAXC = 1'000'000'000;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int q = opt<int>(1);

	vector<pii> cells = {{1, 0}, {0, -1}, {-1, 0}};
	vector<int> arrx;
	for (int i = 0; i < q * 2; ++i) {
		arrx.push_back(rnd.next(0, MAXC));
	}

	sort(arrx.begin(), arrx.end());

	for (int i = 0; i < q; ++i) {
		cells.push_back({-i, arrx[i * 2 + 1]});
		cells.push_back({2, arrx[i * 2 + 1] - 1});
		cells.push_back({1, arrx[i * 2]});
		cells.push_back({-(i + 2), arrx[i * 2] + 1});
	}

	shuffle(cells.begin(), cells.end());
	cout << szof(cells) << "\n";
	for (auto p : cells) {
		cout << p.ff << " " << p.ss << "\n";
	}

	return 0;
}