// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;

const int MAXC = 1'000'000'000;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = opt<int>(1);
	int x = 0, y = 0;
	int dir = 0;
	vector<pii> cells;

	for (int i = 0; i < n; ++i) {
		if (dir == 0) {
			x = rnd.next(x, MAXC - 1);
			cells.push_back({x + 1, y});
		} else if (dir == 1) {
			y = rnd.next(-MAXC + 1, y);
			cells.push_back({x, y - 1});
		} else if (dir == 2) {
			x = rnd.next(-MAXC + 1, x);
			cells.push_back({x - 1, y});
		} else {
			y = rnd.next(y, MAXC - 1);
			cells.push_back({x, y + 1});
		}
		dir = (dir + 1) % 4;
	}

	if (opt<bool>("inf")) {
		cells.resize(szof(cells) / 4 * 4);
		auto a = cells.back();
		auto b = cells[szof(cells) - 2];
		cells.push_back({a.ff + 1, a.ss - 1});
		cells.push_back({b.ff + 1, b.ss - 1});
	}

	if (opt<bool>("cycle")) {
		cells.resize(szof(cells) / 4 * 4);
		cells.back().ss = 1;
	}

	shuffle(cells.begin(), cells.end());

	cout << szof(cells) << "\n";
	for (auto cell : cells) {
		cout << cell.ff << " " << cell.ss << "\n";
	}

	return 0;
}