import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.*;

public class J_sm {
    class P {
        int x,y, d;

        public P(int x, int y, int d) {
            this.x = x;
            this.y = y;
            this.d = d;
        }

        @Override
        public boolean equals(Object o) {
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;

            P p = (P) o;

            if (x != p.x) return false;
            if (y != p.y) return false;
            return d == p.d;
        }

        @Override
        public int hashCode() {
            int result = x;
            result = 31 * result + y;
            result = 31 * result + d;
            return result;
        }
    }
    void solve() {
        int n = nextInt();
        TreeMap<Integer, TreeSet<Integer>> byX = new TreeMap<>();
        TreeMap<Integer, TreeSet<Integer>> byY = new TreeMap<>();
        for (int i = 0; i < n; i++) {
            int x = nextInt();
            int y = nextInt();
            byX.putIfAbsent(x, new TreeSet<>());
            byX.get(x).add(y);
            byY.putIfAbsent(y, new TreeSet<>());
            byY.get(y).add(x);
        }
        int x = 0;
        int y = 0;
        int d = 0;
        int[] dx = {1, 0, -1, 0};
        int[] dy = {0, -1, 0, 1};
        int ans = 0;
        HashSet<P> used = new HashSet<>();
        while (true) {
            P p = new P(x, y, d);
            if (used.contains(p)) {
                out.println("oo");
                return;
            }
            used.add(p);
            System.err.println(x + "  " + y);
            try {
                if (d == 0) {
                    x = byY.get(y).tailSet(x).first() - 1;
                } else if (d == 1) {
                    y = byX.get(x).headSet(y).last() + 1;
                } else if (d == 2) {
                    x = byY.get(y).headSet(x).last() + 1;
                } else if (d == 3) {
                    y = byX.get(x).tailSet(y).first() - 1;
                } else {
                }
            } catch (NoSuchElementException e) {
                break;
            } catch (NullPointerException e) {
                break;
            }

            d = (d + 1) % 4;
            ans++;
        }
        out.println(ans);
    }


    BufferedReader br;
    StringTokenizer st;
    PrintWriter out;

    String next() {
        while (st == null || !st.hasMoreTokens()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (IOException e) {
                e.printStackTrace();
                System.exit(1);
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(next());
    }

    void run() {
        br = new BufferedReader(new InputStreamReader(System.in));
        out = new PrintWriter(System.out);
        solve();
        out.close();
    }

    public static void main(String[] args) {
        new J_sm().run();
    }
}
