#include <bits/stdc++.h>
using namespace std;
const int BS = 1 << 17;
char buf[BS], *S, *T;
inline char gc() {
    if (S == T)
        T = (S = buf) + fread(buf, 1, BS, stdin);

    return S != T ? *(S++) : EOF;
}
inline int in() {
    int x = 0, f = 1;
    char c = gc();

    while (c < '0' || c > '9') {
        if (c == '-')
            f = -1;

        c = gc();
    }

    while (c >= '0' && c <= '9')
        x = x * 10 + c - 48, c = gc();

    return x * f;
}
const int N = 405, mod = 998244353;
inline int add(int a, int b) {
    return a + b >= mod ? a + b - mod : a + b;
}
inline int mul(int a, int b) {
    return 1ll * a * b % mod;
}
inline int qpow(int a, int b) {
    int c = 1;

    for (; b; b >>= 1, a = mul(a, a))
        if (b & 1)
            c = mul(c, a);

    return c;
}
int n, m, o, ans;
vector<int> e1[N], e2[N], v[N << 1];
int dfn[N], low[N], tim, st[N], tp;
int inv[N];
int rk[N];
void tarjan(int x, int fa) {
    dfn[x] = low[x] = ++tim;
    st[++tp] = x;
    bool flag = 0;

    for (int y : e1[x]) {
        if (!dfn[y]) {
            tarjan(y, x);
            low[x] = min(low[x], low[y]);

            if (low[y] > dfn[x])
                e2[x].push_back(y), e2[y].push_back(x);

            if (low[y] == dfn[x]) {
                o++;
                e2[x].push_back(o), e2[o].push_back(x);

                while (1) {
                    e2[o].push_back(st[tp]);
                    e2[st[tp]].push_back(o);

                    if (st[tp] == y) {
                        tp--;
                        break;
                    }

                    tp--;
                }
            }
        } else if (y != fa || flag)
            low[x] = min(low[x], dfn[y]);

        if (y == fa)
            flag = 1;
    }
}
int f[N][N];
void dp(int x, int fa, int a, int b) {
    for (int i = 0; i <= n; i++)
        f[x][i] = 0;

    for (int i = a + 1; i <= n; i++)
        f[x][i] = add(f[x][i], f[fa][i - a - 1]);

    for (int i = b + 1; i <= n; i++)
        f[x][i] = add(f[x][i], f[fa][i - b - 1]);

    for (int i = a + b + 1; i <= n; i++)
        f[x][i] = add(f[x][i], mod - f[fa][i - (a + b + 1)]);
}
void dfs(int x, int fa) {
    if (x <= n) {
        if (fa <= n && fa)
            for (int i = 1; i <= n; i++)
                f[x][i] = f[fa][i - 1];

        for (int i = 1; i <= n; i++)
            ans = add(ans, mul(inv[i], f[x][i]));

        for (int y : e2[x])
            if (y != fa)
                dfs(y, x);
    } else {
        int sz = e2[x].size();

        for (int i = 0; i < sz; i++)
            rk[e2[x][i]] = i;

        for (int y : e2[x]) {
            if (y != fa) {
                int dis = abs(rk[y] - rk[fa]) - 1;
                dp(y, fa, dis, sz - 2 - dis);
                dfs(y, x);
            }
        }
    }
}
int main() {
    n = in(), m = in();

    for (int i = 1; i <= m; i++) {
        int x = in(), y = in();
        e1[x].push_back(y);
        e1[y].push_back(x);
    }

    tarjan(1, 0);

    for (int i = 1; i <= n; i++)
        inv[i] = qpow(i, mod - 2);

    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++)
            f[i][j] = 0;

        f[i][1] = 1;
        dfs(i, 0);
    }

    cout << ans;
    return 0;
}
