#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
struct ZXS {
    int ls[2000005], rs[2000005], s[2000005], tot;
    void Insert(int &p, int q, int l, int r, int x) {
        p = ++tot, ls[p] = ls[q], rs[p] = rs[q], s[p] = s[q] + 1;

        if (l == r)
            return ;

        int mid = (l + r) / 2;

        if (x <= mid)
            Insert(ls[p], ls[q], l, mid, x);
        else
            Insert(rs[p], rs[q], mid + 1, r, x);
    }
    int Query(int p, int q, int l, int r, int k) {
        if (l == r)
            return l;

        int mid = (l + r) / 2;

        if (k <= s[ls[p]] - s[ls[q]])
            return Query(ls[p], ls[q], l, mid, k);
        else
            return Query(rs[p], rs[q], mid + 1, r, k - s[ls[p]] + s[ls[q]]);
    }
} t;
int n, m, q, root[100005], dfn[100005];
namespace ST {
int d[100005], size[100005], sign, id[100005];
int son[100005], top[100005], fa[100005];
vector<int> g[100005];
void DFS(int x, int f) {
    size[x] = 1, dfn[x] = ++sign, id[sign] = x, fa[x] = f;

    for (int y : g[x]) {
        if (y == f)
            continue;

        d[y] = d[x] + 1, DFS(y, x), size[x] += size[y];

        if (size[y] > size[son[x]])
            son[x] = y;
    }
}
void DFS2(int x, int tp) {
    top[x] = tp;

    if (son[x])
        DFS2(son[x], tp);

    for (int y : g[x]) {
        if (y == fa[x] || y == son[x])
            continue;

        DFS2(y, y);
    }
}
int LCA(int x, int y) {
    while (top[x]^top[y]) {
        if (d[top[x]] < d[top[y]])
            swap(x, y);

        x = fa [ top [ x ] ] ; 
    }

    if (d[x] > d[y])
        swap(x, y);

    return x;
}
int Dis(int x, int y) {
    return d[x] + d[y] - 2 * d[LCA(x, y)];
}
}
namespace BT {
int rt[100005], d[100005];
ll prt[100005], now, cnt, p[100005][20], g[100005][20], fr[100005], to[100005];
void Init() {
    now = n, cnt = 1, fr[1] = 1, to[1] = n, d[1] = 1, rt[1] = 1;
}
int Bel(ll x) {
    int l = 1, r = cnt, ans = 1;

    while (l <= r) {
        int mid = (l + r) / 2;

        if (fr[mid] <= x)
            ans = mid, l = mid + 1;
        else
            r = mid - 1;
    }

    return ans;
}
int id(ll x) {
    int w = Bel(x);
    return t.Query(root[dfn[rt[w]] + ST::size[rt[w]] - 1], root[dfn[rt[w]] - 1], 1, n, x - fr[w] + 1);
}
void Copy(int x, ll y) {
    p[cnt + 1][0] = Bel(y), rt[++cnt] = x, d[cnt] = d[p[cnt][0]] + 1;
    fr[cnt] = now + 1, to[cnt] = now + ST::size[x], now += ST::size[x];
    prt[cnt] = y, g[cnt][0] = ST::d[id(y)] - ST::d[rt[p[cnt][0]]] + 1;

    for (int i = 1; i <= 16; i++)
        p[cnt][i] = p[p[cnt][i - 1]][i - 1], g[cnt][i] = g[cnt][i - 1] + g[p[cnt][i - 1]][i - 1];
}
ll Dis(ll x, ll y) {
    int c = Bel(x), v = Bel(y);

    if (c == v)
        return ST::Dis(id(x), id(y));

    if (d[c] < d[v])
        swap(c, v), swap(x, y);

    ll ret = ST::d[id(x)] - ST::d[rt[c]];

    for (int i = 16; i >= 0; i--)
        if (d[p[c][i]] > d[v])
            ret += g[c][i], c = p[c][i];

    if (p[c][0] == v)
        return ret + 1 + ST::Dis(id(y), id(prt[c]));

    ret += ST::d[id(y)] - ST::d[rt[v]];

    if (d[p[c][0]] == d[v])
        ret += g[c][0], c = p[c][0];

    for (int i = 16; i >= 0; i--)
        if (p[c][i]^p[v][i])
            ret += g[c][i] + g[v][i], c = p[c][i] , v = p [ v ] [ i ] ;

    return ret + 2 + ST::Dis(id(prt[c]), id(prt[v]));
}
}
int main() {
    scanf("%d%d%d", &n, &m, &q);

    for (int i = 1, x, y; i < n; i++)
        scanf("%d%d", &x, &y), ST::g[x].push_back(y), ST::g[y].push_back(x);

    ST::DFS(1, 0), ST::DFS2(1, 1), BT::Init();

    for (int i = 1; i <= n; i++)
        t.Insert(root[i], root[i - 1], 1, n, ST::id[i]);

    for (ll i = 1, x, y; i <= m; i++)
        scanf("%lld%lld", &x, &y), BT::Copy(x, y);

    while (q--) {
        ll a, b;
        scanf("%lld%lld", &a, &b);
        printf("%lld\n", BT::Dis(a, b));
    }
}
