#include "testlib.h"

long long MAX = 1000000000000000000LL;
int maxk=800000;

int testID=1;

int writeTest (long long a, int n)
{
 char fn[10];
 sprintf (fn,"%03d",testID++);
 FILE *st1=fopen (fn,"w");
 fprintf (st1,"%lld %d\n",a,n);
 fclose (st1);
 return 0;
}

int main (int argc, char **argv)
{
 registerGen (argc,argv,1);

 writeTest (3110LL,21);

 writeTest (100000LL,1);
 writeTest (100000LL,10);
 writeTest (100000LL,100);

 writeTest (1000000000000000000LL,1000);
 writeTest (1000000000000000000LL,10000);
 writeTest (1000000000000000000LL,100000);
 writeTest (1000000000000000000LL,300000);
 writeTest (1000000000000000000LL,500000);
 writeTest (1000000000000000000LL,700000);

 writeTest (MAX,maxk);
 writeTest (2LL,1);
 writeTest (MAX,1);
 writeTest (MAX,rnd.next(1,800000));
 writeTest (rnd.next (1LL,MAX),rnd.next(1,maxk));
 writeTest (rnd.next (1LL,MAX),rnd.next(1,20));
 writeTest (rnd.next (1LL,MAX),rnd.next(1,maxk));
 writeTest (rnd.next (1LL,MAX),rnd.next(1,20));
 writeTest (rnd.next (1LL,MAX),rnd.next(1,maxk));
 writeTest (rnd.next (1LL,MAX),rnd.next(20,200));

 return 0;
}