#include "testlib.h"

using namespace std;

#define MAXLEN 250

int testID=5;

int write_test (string s, int n)
{
 char fn[10];
 sprintf (fn,"%03d",testID++);
 FILE *st1=fopen (fn,"w");
 fprintf (st1,"%s\n%d\n",s.c_str(),n);
 fclose (st1);
 return 0;
}

void gen_max_rand (int n)
{
 string s;
 for (int i=0;i<n;i++) 
  s.push_back('F');
 write_test (s,rnd.next(1,4*n));
} 

void gen_max_1 (int n)
{
 string s;
 for (int i=0;i<n;i++) 
  s.push_back('F');
 write_test (s,1);
} 

void gen_max_4n (int n)
{
 string s;
 for (int i=0;i<n;i++) 
  s.push_back('F');
 write_test (s,4*n);
} 

void gen_max_no (int n)
{
 string s;
 s.push_back('1');
 for (int i=1;i<n;i++) 
  s.push_back('F');
 write_test (s,rnd.next (4*n-2,4*n));
} 


void gen_rand_rand (int n)
{
 char format[100];
 sprintf (format,"[1-9A-F][0-9A-F]{%d,%d}",n-1,n-1);
 string s=rnd.next(format);
 write_test (s,rnd.next(1,4*n));
}

void gen_rand_1 (int n)
{
 char format[100];
 sprintf (format,"[1-9A-F][0-9A-F]{%d,%d}",n-1,n-1);
 string s=rnd.next(format);
 write_test (s,1);
}

void gen_rand_big (int n)
{
 char format[100];
 sprintf (format,"[1-9A-F][0-9A-F]{%d,%d}",n-1,n-1);
 string s=rnd.next(format);
 write_test (s,rnd.next(4*n-15,4*n-5));
}

void gen_rand_no (int n)
{
 char format[100];
 sprintf (format,"[1-9A-F][0-9A-F]{%d,%d}",n-1,n-1);
 string s=rnd.next(format);
 write_test (s,rnd.next(4*n-3,MAXLEN*4));
}

int main (int argc, char **argv)
{
 registerGen (argc,argv,1);

 write_test ("1",1);
 write_test ("F",3);
 write_test ("9",2);

 for (int i=4;i<=250;i+=41)
  {
   gen_max_rand (i);
   gen_max_1(i);
   gen_max_4n (i);
   gen_max_no (i);
   gen_rand_1 (i);
   gen_rand_big (i);
   gen_rand_no (i);
   gen_rand_rand (i);
   gen_rand_rand (i);
   gen_rand_rand (i);
  }

 return 0;
}