#include <stdio.h>
#include <string.h>

#define MOD 998244353LL
#define MAXN 50000

char data[MAXN+10];

long long fact[MAXN+10];
long long afact[MAXN+10];

long long fastpow (long long a, long long n)
{
 if (n==0LL) return 1LL;
 if (n%2LL != 0LL) return (fastpow (a,n-1) * a) % MOD;
 long long ttt=fastpow (a,n/2);
 return (ttt*ttt) % MOD;
}

long long div_mod (long long a, long long b)
 {
   return (a*fastpow(b,MOD-2LL))%MOD;
 }



void prepare_fact ()
{
fact[0]=1LL;

for  (int i=1;i<=MAXN;i++)
 fact[i]=(fact[i-1]*i)%MOD;

afact[MAXN]=div_mod (1,fact[MAXN]);
for (int i=MAXN-1;i>=0;i--)
 afact[i]=(afact[i+1]*(i+1))%MOD;
}

long long cnk (long long n, long long k)
 {
   if (k>n) return 0LL;
   return (((fact[n]*afact[k])%MOD)*afact[n-k])%MOD;
 }


int main()
{
 int i,j,k,a,len;
 prepare_fact();
 char temp[MAXN/4+10];
 long long sum=0LL,ones;
 scanf ("%s %lld",temp,&ones);
 len=strlen(temp);k=0;
 for (int i=0;i<len;i++)
  {
   if (temp[i]<='9') a=temp[i]-'0';
    else a=temp[i]-'A'+10;
   for (int j=3;j>=0;j--)
    if (a&(1<<j)) data[k++]='1';
     else data[k++]='0';
  }
 data[k]=0;
 fprintf (stderr,"%s=%s\n",temp,data);
 len=k;
 if (ones <= (long long) len) 
 {
  for (int i=0;(i<len) && (ones>=0);i++)
   if (data[i]=='1') 
    {
     sum=(sum+cnk(len-i-1LL,ones))%MOD;
     ones--;
    }
 }
 if (ones==0) sum++;
 printf ("%lld\n",sum);
 return 0;
}