import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class E_sm {

    TreeSet<String> genAll(int len) {
        char[] s = new char[len];
        TreeSet<String> ts = new TreeSet<>();
        for (char a = 'a'; a <= 'z'; a++) {
            for (char b = 'a'; b <= 'z'; b++) {
                for (int alen = 0; alen < len; alen++) {
                    for (int i = 0; i < len; i++) {
                        if (i <= alen) {
                            s[i] = a;
                        } else {
                            s[i] = b;
                        }
                    }
                    ts.add(new String(s));
                }
            }
        }
        return ts;
    }

    void solve() {
        int n = nextInt();
        for (int len = 1; ; len++) {
            TreeSet<String> ts = genAll(len);
            System.err.println(len + " " + ts.size() + " " + n);
            if (ts.size() < n) {
                n -= ts.size();
                continue;
            }
            out.println(new ArrayList<String>(ts).get(n - 1));
            return;
        }


    }


    BufferedReader br;
    StringTokenizer st;
    PrintWriter out;

    String next() {
        while (st == null || !st.hasMoreTokens()) {
            try {
                st = new StringTokenizer(br.readLine());
            } catch (IOException e) {
                e.printStackTrace();
                System.exit(1);
            }
        }
        return st.nextToken();
    }

    int nextInt() {
        return Integer.parseInt(next());
    }

    void run() {
        br = new BufferedReader(new InputStreamReader(System.in));
        out = new PrintWriter(System.out);
        solve();
        out.close();
    }

    public static void main(String[] args) {
        new E_sm().run();
    }
}
