/**
 *    author:  tourist
 *    created: 26.10.2021 13:39:33       
**/
#include <bits/stdc++.h>

using namespace std;

int main() {
  ios::sync_with_stdio(false);
  cin.tie(0);
  int t;
  cin >> t;
  vector<vector<int>> all(t, vector<int>(3));
  for (int i = 0; i < t; i++) {
    for (int j = 0; j < 3; j++) {
      cin >> all[i][j];
      --all[i][j];
    }
    sort(all[i].begin(), all[i].end());
  }
  int n = 9;
  vector<vector<bool>> has(n, vector<bool>(n, false));
  vector<vector<int>> seq;
  function<void()> Dfs = [&]() {
    for (int i = 0; i < n; i++) {
      for (int j = i + 1; j < n; j++) {
        if (!has[i][j]) {
          for (int k = j + 1; k < n; k++) {
            if (!has[i][k] && !has[j][k]) {
              has[i][j] = true;
              has[i][k] = true;
              has[j][k] = true;
              seq.push_back({i, j, k});
              Dfs();
              seq.pop_back();
              has[i][j] = false;
              has[i][k] = false;
              has[j][k] = false;
            }
          }
          return;
        }
      }
    }
    auto ret = seq;
    for (auto& p : all) {
      auto it = find(ret.begin(), ret.end(), p);
      if (it == ret.end()) {
        return;
      }
      ret.erase(it);
    }
    cout << ret.size() << '\n';
    for (auto& p : ret) {
      cout << p[0] + 1 << " " << p[1] + 1 << " " << p[2] + 1 << '\n';
    }
    exit(0);
  };
  Dfs();
  cout << -1 << '\n';
  return 0;
}
